Skip to main content

Update dictionary

PATCH
/dictionaries

Contract

Parameter
Value
Sectiondictionaries
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectDictionary fields to update (must include id)
  • {
      "columns": [
        "<string>"
      ],
      "config": {
        "<key>": {}
      },
      "createdAt": "<string>",
      "description": "<string>",
      "id": 0,
      "issuer": {
        "agreementAccepted": true,
        "createdAt": "<string>",
        "deletedAt": "<string>",
        "email": "<string>",
        "group": {
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "id": 0,
          "issuer": {},
          "issuerID": 0,
          "name": "<string>",
          "permissions": [
            {}
          ],
          "updatedAt": "<string>",
          "users": [
            {}
          ]
        },
        "groupID": 0,
        "id": 0,
        "isActive": true,
        "isRequiredToSetPassword": true,
        "lastLogin": "<string>",
        "notificationsReadAt": "<string>",
        "passwordLength": 0,
        "realName": "<string>",
        "updatedAt": "<string>"
      },
      "issuerId": 0,
      "name": "<string>",
      "rows": [
        [
          "<string>"
        ]
      ],
      "selection": "<string>",
      "tags": "<string>",
      "type": "<string>",
      "updatedAt": "<string>",
      "values": [
        "<string>"
      ]
    }

Responses

4 responses

Status
Description
Type
200
Dictionary updatedno body
400
Invalid request body or dictionaryobject
401
Unauthorizedobject
500
Internal server errorobject
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }